Package icyllis.modernui.markdown

# Class MarkdownTheme.Builder

java.lang.Object
icyllis.modernui.markdown.MarkdownTheme.Builder

Enclosing class:
  `MarkdownTheme`

public static final class MarkdownTheme.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MarkdownTheme`
  `build()`
  `MarkdownTheme.Builder`
  `setBlockQuoteColor(int blockQuoteColor)`
  `MarkdownTheme.Builder`
  `setBlockQuoteMargin(int blockQuoteMargin)`
  `MarkdownTheme.Builder`
  `setBlockQuoteWidth(int blockQuoteWidth)`
  `MarkdownTheme.Builder`
  `setCodeBackgroundColor(int codeBackgroundColor)`
  `MarkdownTheme.Builder`
  `setCodeBlockBackgroundColor(int codeBlockBackgroundColor)`
  `MarkdownTheme.Builder`
  `setCodeBlockMargin(int codeBlockMargin)`
  `MarkdownTheme.Builder`
  `setCodeBlockTextColor(int codeBlockTextColor)`
  `MarkdownTheme.Builder`
  `setCodeBlockTextSize(int codeBlockTextSize)`
  `MarkdownTheme.Builder`
  `setCodeBlockTypeface(Typeface codeBlockTypeface)`
  `MarkdownTheme.Builder`
  `setCodeTextColor(int codeTextColor)`
  `MarkdownTheme.Builder`
  `setCodeTextSize(int codeTextSize)`
  `MarkdownTheme.Builder`
  `setCodeTypeface(Typeface codeTypeface)`
  `MarkdownTheme.Builder`
  `setHeadingBreakColor(int headingBreakColor)`
  `MarkdownTheme.Builder`
  `setHeadingTextSizeMultipliers(float[] headingTextSizeMultipliers)`
  `MarkdownTheme.Builder`
  `setHeadingTypeface(Typeface headingTypeface)`
  `MarkdownTheme.Builder`
  `setListItemColor(int listItemColor)`
  `MarkdownTheme.Builder`
  `setListItemMargin(int listItemMargin)`
  `MarkdownTheme.Builder`
  `setThematicBreakColor(int thematicBreakColor)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setBlockQuoteMargin

    @NonNull public MarkdownTheme.Builder setBlockQuoteMargin(int blockQuoteMargin)

  - ### setBlockQuoteWidth

    @NonNull public MarkdownTheme.Builder setBlockQuoteWidth(int blockQuoteWidth)

  - ### setBlockQuoteColor

    @NonNull public MarkdownTheme.Builder setBlockQuoteColor(int blockQuoteColor)

  - ### setListItemMargin

    @NonNull public MarkdownTheme.Builder setListItemMargin(int listItemMargin)

  - ### setListItemColor

    @NonNull public MarkdownTheme.Builder setListItemColor(int listItemColor)

  - ### setCodeTextColor

    @NonNull public MarkdownTheme.Builder setCodeTextColor(int codeTextColor)

  - ### setCodeBlockTextColor

    @NonNull public MarkdownTheme.Builder setCodeBlockTextColor(int codeBlockTextColor)

  - ### setCodeBackgroundColor

    @NonNull public MarkdownTheme.Builder setCodeBackgroundColor(int codeBackgroundColor)

  - ### setCodeBlockBackgroundColor

    @NonNull public MarkdownTheme.Builder setCodeBlockBackgroundColor(int codeBlockBackgroundColor)

  - ### setCodeBlockMargin

    @NonNull public MarkdownTheme.Builder setCodeBlockMargin(int codeBlockMargin)

  - ### setCodeTypeface

    @NonNull public MarkdownTheme.Builder setCodeTypeface(Typeface codeTypeface)

  - ### setCodeBlockTypeface

    @NonNull public MarkdownTheme.Builder setCodeBlockTypeface(Typeface codeBlockTypeface)

  - ### setCodeTextSize

    @NonNull public MarkdownTheme.Builder setCodeTextSize(int codeTextSize)

  - ### setCodeBlockTextSize

    @NonNull public MarkdownTheme.Builder setCodeBlockTextSize(int codeBlockTextSize)

  - ### setHeadingBreakColor

    @NonNull public MarkdownTheme.Builder setHeadingBreakColor(int headingBreakColor)

  - ### setHeadingTypeface

    @NonNull public MarkdownTheme.Builder setHeadingTypeface(Typeface headingTypeface)

  - ### setHeadingTextSizeMultipliers

    @NonNull public MarkdownTheme.Builder setHeadingTextSizeMultipliers(float[] headingTextSizeMultipliers)

  - ### setThematicBreakColor

    @NonNull public MarkdownTheme.Builder setThematicBreakColor(int thematicBreakColor)

  - ### build

    @NonNull public MarkdownTheme build()